//This sketch is to be used on a 32u4 micro controller.
//It is mainly developed for the arcade board
//It takes all the inputs of the 32u4 and sends them to the host over TTL connection on response of its ID

int inputs[16] = {2,3,4,5,6,7,8,9,10,16,14,15,A0,A1,A2,A3};

#define ID 1

void setup() 
{
  for(byte i = 0; i < 16; i++)
  {
    pinMode(inputs[i], INPUT_PULLUP);
  }
  Serial.begin(9600);
}

bool state[16] = {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
byte sendByte1 = 0;
byte sendByte2 = 0;

void loop() 
{
  for(byte i = 0; i < 16; i++)
  {
    state[i] = !digitalRead(inputs[i]);
  }
  if(Serial.read() == ID)
  {
    for(byte i = 0; i < 8; i++)
    {
      sendByte1 |= state[i] << i;
      sendByte2 |= state[i+8] << i;
    }
    Serial.write(sendByte2);
    Serial.write(sendByte1);
  }
}


